#pragma once

#include <QWidget>
#include "ui_qminiblink.h"
#include "mb.h"
#include <Windows.h>
#include <CommCtrl.h>

class QMiniBlink : public QWidget
{
	Q_OBJECT

public:
	QMiniBlink(QWidget *parent = nullptr);
	~QMiniBlink();
	void init();
	
	void autojustWebViewSize();
	QString firstUrl;
public slots:
	void ondestroy();
	void switchUrl(QString url);
private:
	Ui::QMiniBlink ui;
	mbWebView mbView;
	QWidget *parent;
	int w;
	int h;
	static LRESULT CALLBACK subClassProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam, UINT_PTR uIdSubclass, DWORD_PTR dwRefData);
};
